Summary: SysV init scripts
Name: initscripts
Version: 1.0
Release: r155.3.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
BuildRequires: virtual/update-alternatives
BuildRequires: update-rc.d-native
Requires: initscripts-functions
Requires: /bin/sh
Requires(post): initscripts-functions
Requires(post): /bin/sh

%description
Initscripts provide the basic system startup initialization scripts for the
system.  These scripts include actions such as filesystem mounting, fsck,
RTC manipulation and other actions routinely performed at system startup.
In addition, the scripts are also used during system shutdown to reverse
the actions performed at startup.

%package -n initscripts-functions
Summary: SysV init scripts
Group: base
Requires: update-alternatives-opkg
Requires(post): update-alternatives-opkg
Requires(postun): update-alternatives-opkg
Provides: /etc/init.d/functions

%description -n initscripts-functions
Initscripts provide the basic system startup initialization scripts for the
system.  These scripts include actions such as filesystem mounting, fsck,
RTC manipulation and other actions routinely performed at system startup.
In addition, the scripts are also used during system shutdown to reverse
the actions performed at startup.

%package -n initscripts-dbg
Summary: SysV init scripts - Debugging files
Group: devel
Recommends: initscripts = 1.0-r155.3.0

%description -n initscripts-dbg
Initscripts provide the basic system startup initialization scripts for the
system.  These scripts include actions such as filesystem mounting, fsck,
RTC manipulation and other actions routinely performed at system startup.
In addition, the scripts are also used during system shutdown to reverse
the actions performed at startup.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n initscripts-staticdev
Summary: SysV init scripts - Development files (Static Libraries)
Group: devel
Requires: initscripts-dev = 1.0-r155.3.0

%description -n initscripts-staticdev
Initscripts provide the basic system startup initialization scripts for the
system.  These scripts include actions such as filesystem mounting, fsck,
RTC manipulation and other actions routinely performed at system startup.
In addition, the scripts are also used during system shutdown to reverse
the actions performed at startup.  This package contains static libraries
for software development.

%package -n initscripts-dev
Summary: SysV init scripts - Development files
Group: devel
Requires: initscripts = 1.0-r155.3.0
Suggests: update-alternatives-opkg-dev
Suggests: initscripts-functions-dev

%description -n initscripts-dev
Initscripts provide the basic system startup initialization scripts for the
system.  These scripts include actions such as filesystem mounting, fsck,
RTC manipulation and other actions routinely performed at system startup.
In addition, the scripts are also used during system shutdown to reverse
the actions performed at startup.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n initscripts-doc
Summary: SysV init scripts - Documentation files
Group: doc

%description -n initscripts-doc
Initscripts provide the basic system startup initialization scripts for the
system.  These scripts include actions such as filesystem mounting, fsck,
RTC manipulation and other actions routinely performed at system startup.
In addition, the scripts are also used during system shutdown to reverse
the actions performed at startup.  This package contains documentation.

%package -n initscripts-locale
Summary: SysV init scripts
Group: base

%description -n initscripts-locale
Initscripts provide the basic system startup initialization scripts for the
system.  These scripts include actions such as filesystem mounting, fsck,
RTC manipulation and other actions routinely performed at system startup.
In addition, the scripts are also used during system shutdown to reverse
the actions performed at startup.

%post
# initscripts - postinst
	if false; then
		if [ -n "$D" ]; then
			OPTS="--root=$D"
		fi
		for SERVICE in    banner   bootmisc   checkfs   checkroot   devpts   dmesg   hostname   mountall   mountnfs   populate-volatile   read-only-rootfs-hook   rmnologin   sysfs   urandom; do
			systemctl $OPTS mask $SERVICE.service
		done
	fi

    # Delete any old volatile cache script, as directories may have moved
    if [ -z "$D" ]; then
        rm -f "/etc/volatile.cache"
    fi


%post -n initscripts-functions
# initscripts-functions - postinst
#!/bin/sh
	update-alternatives --install /etc/init.d/functions functions /etc/init.d/functions.initscripts 90


%postun -n initscripts-functions
# initscripts-functions - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  functions /etc/init.d/functions.initscripts
fi

%files
%defattr(-,-,-,-)
%dir "/sbin"
%dir "/var"
%dir "/etc"
"/sbin/sushell"
%dir "/var/lib"
%dir "/var/lib/urandom"
%dir "/etc/default"
%dir "/etc/rc5.d"
%dir "/etc/rc1.d"
%dir "/etc/rc4.d"
%dir "/etc/rcS.d"
%dir "/etc/rc6.d"
%dir "/etc/init.d"
%dir "/etc/rc0.d"
%dir "/etc/rc2.d"
%dir "/etc/rc3.d"
"/etc/logrotate-dmesg.conf"
%dir "/etc/default/volatiles"
"/etc/default/devpts"
"/etc/default/volatiles/00_core"
"/etc/rc5.d/S15mountnfs.sh"
"/etc/rc5.d/S99rmnologin.sh"
"/etc/rc1.d/S31umountnfs.sh"
"/etc/rc4.d/S15mountnfs.sh"
"/etc/rc4.d/S99rmnologin.sh"
"/etc/rcS.d/S29read-only-rootfs-hook.sh"
"/etc/rcS.d/S06checkroot.sh"
"/etc/rcS.d/S39hostname.sh"
"/etc/rcS.d/S55bootmisc.sh"
"/etc/rcS.d/S03mountall.sh"
"/etc/rcS.d/S30urandom"
"/etc/rcS.d/S38dmesg.sh"
"/etc/rcS.d/S38devpts.sh"
"/etc/rcS.d/S37populate-volatile.sh"
"/etc/rcS.d/S02sysfs.sh"
"/etc/rcS.d/S02banner.sh"
"/etc/rc6.d/S20sendsigs"
"/etc/rc6.d/S90reboot"
"/etc/rc6.d/S40umountfs"
"/etc/rc6.d/S30urandom"
"/etc/rc6.d/S31umountnfs.sh"
"/etc/rc6.d/S25save-rtc.sh"
"/etc/init.d/hostname.sh"
%config "/etc/init.d/checkroot.sh"
"/etc/init.d/sendsigs"
"/etc/init.d/reboot"
"/etc/init.d/umountnfs.sh"
"/etc/init.d/mountall.sh"
"/etc/init.d/bootmisc.sh"
"/etc/init.d/read-only-rootfs-hook.sh"
"/etc/init.d/sysfs.sh"
"/etc/init.d/save-rtc.sh"
"/etc/init.d/mountnfs.sh"
"/etc/init.d/umountfs"
"/etc/init.d/rmnologin.sh"
"/etc/init.d/single"
"/etc/init.d/halt"
"/etc/init.d/urandom"
"/etc/init.d/banner.sh"
"/etc/init.d/populate-volatile.sh"
"/etc/init.d/devpts.sh"
"/etc/init.d/dmesg.sh"
"/etc/rc0.d/S20sendsigs"
"/etc/rc0.d/S90halt"
"/etc/rc0.d/S40umountfs"
"/etc/rc0.d/S30urandom"
"/etc/rc0.d/S31umountnfs.sh"
"/etc/rc0.d/S25save-rtc.sh"
"/etc/rc2.d/S15mountnfs.sh"
"/etc/rc2.d/S99rmnologin.sh"
"/etc/rc3.d/S15mountnfs.sh"
"/etc/rc3.d/S99rmnologin.sh"

%files -n initscripts-functions
%defattr(-,-,-,-)
%dir "/etc"
%dir "/etc/init.d"
"/etc/init.d/functions.initscripts"

%files -n initscripts-dbg
%defattr(-,-,-,-)

%files -n initscripts-dev
%defattr(-,-,-,-)

